@echo off


rem ----- Core settings

rem -- enable Windows Firewall with exceptions
netsh firewall set opmode enable enable
rem -- enable logging for denied packets
netsh firewall set logging "%windir%\pfirewall.log" 4096 enable disable
rem -- enable ping response
netsh firewall set icmpsetting 8 enable


rem ----- Overall RPC baseline

rem -- RPC-in handshake for *all* RPC-in services
netsh firewall set service remoteadmin enable custom 10.10.10.82/32,10.10.10.90/32,10.10.10.95/32


rem ----- Presentation Server 4.5

rem -- RPC-in MFCom
netsh firewall add allowedprogram "%programfiles%\Citrix\System32\mfcom.exe" "Citrix MFCom Server" enable custom 10.10.10.82/32,10.10.10.90/32
rem -- RPC-in SMA
netsh firewall add allowedprogram "%programfiles%\Citrix\Sma\SmaService.exe" "Citrix Suite Monitoring and Alerting" enable custom 10.10.10.82/32,10.10.10.90/32
rem -- RPC-in CDF
netsh firewall add allowedprogram "%commonprogramfiles%\Citrix\System32\CdfSvc.exe" "Citrix Common Diagnostic Facility Server" enable custom 10.10.10.82/32,10.10.10.90/32
rem -- RPC-in WMI asynchronous callback
netsh firewall add allowedprogram "%systemroot%\system32\wbem\unsecapp.exe" "Windows Management Instrumentation Callback" enable custom 10.10.10.82/32,10.10.10.90/32
rem -- static port XML Broker
netsh firewall add portopening TCP 80 "Citrix XML Broker" enable custom 10.10.10.81/32,10.10.10.95/32
rem -- static port SSLrelay
netsh firewall add portopening TCP 443 "Citrix SSL Relay" enable custom 10.10.10.81/32,10.10.10.95/32
rem -- static port CGP
netsh firewall add portopening TCP 2598 "Citrix CGP Client Connectivity" enable custom 10.10.10.82/32,10.10.10.86/32,10.10.10.88/32,10.10.10.90/32,10.188.78.10/32
rem -- static port ICA
netsh firewall add portopening TCP 1494 "Citrix ICA Client Connectivity" enable custom 10.10.10.82/32,10.10.10.86/32,10.10.10.88/32,10.10.10.90/32,10.188.78.10/32
rem -- static port IMA
netsh firewall add portopening TCP 2512 "Citrix IMA Server Connectivity" enable custom 10.10.10.82/32,10.10.10.90/32
rem -- static port IMA Administration
netsh firewall add portopening TCP 2513 "Citrix IMA Administration Port" enable custom 10.10.10.82/32,10.10.10.90/32
rem -- built-in support for RDP
netsh firewall set service remotedesktop enable custom 10.10.10.95/32


rem ----- Conferencing Manager

rem -- RPC-out
netsh firewall add allowedprogram "%programfiles%\Citrix\CMCM\CMCM.exe" "Citrix Conferencing Manager" enable custom 10.10.10.95/32


rem ----- EdgeSight Endpoint

rem -- static port agent live data
netsh firewall add portopening TCP 9035 "Citrix EdgeSight Agent" enable custom LocalSubNet
 

rem ----- Network Monitoring

rem -- static port SNMP MIB
netsh firewall add portopening UDP 161 "SNMP" enable custom 10.10.10.95/32
